Skip to main content
POST
/
virtual-accounts
/
admin
/
squadco
/
accounts
/
create
Create SquadCo virtual account
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/admin/squadco/accounts/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "<string>",
  "org_id": "<string>",
  "user_id": "<string>"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "account_id": "<string>",
    "org_id": "<string>",
    "user_id": "<string>",
    "customer_id": "<string>",
    "virtual_account_name": "<string>",
    "currency": "USD",
    "balance": 1000,
    "status": "active",
    "account_type": "currency",
    "provider": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customer_id
string
required
org_id
string
required
user_id
string

Response

SquadCo account created

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object